Index: DCWoRMS/trunk/build/classes/example/globalplugin/BaseGlobalPlugin.java
===================================================================
--- DCWoRMS/trunk/build/classes/example/globalplugin/BaseGlobalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/build/classes/example/globalplugin/BaseGlobalPlugin.java	(revision 539)
@@ -4,5 +4,5 @@
 import schedframe.PluginConfiguration;
 import schedframe.events.scheduling.SchedulingEventType;
-import schedframe.scheduling.WorkloadUnitListImpl;
+import schedframe.scheduling.TaskList;
 import schedframe.scheduling.manager.resources.ResourceManager;
 import schedframe.scheduling.plugin.SchedulingPluginConfiguration;
@@ -11,5 +11,5 @@
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
-import schedframe.scheduling.tasks.WorkloadUnit;
+import schedframe.scheduling.tasks.TaskInterface;
 import schemas.StringValueWithUnit;
 
@@ -22,5 +22,5 @@
 	}
 	
-	public int placeJobsInQueues(WorkloadUnitListImpl newJobs, TaskQueueList queues, ResourceManager resourceManager,
+	public int placeTasksInQueues(TaskList newTasks, TaskQueueList queues, ResourceManager resourceManager,
 			ModuleList moduleList) {
 
@@ -28,6 +28,6 @@
 		TaskQueue queue = queues.get(0);
 
-		for (int i = 0; i < newJobs.size(); i++) {
-			WorkloadUnit<?> task = newJobs.get(i);
+		for (int i = 0; i < newTasks.size(); i++) {
+			TaskInterface<?> task = newTasks.get(i);
 			queue.add(task);
 		}
@@ -46,4 +46,7 @@
 	}
 	
+	public String getName() {
+		return getClass().getName();
+	}
 	
 }
Index: DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSLoadBalancingPlugin.java
===================================================================
--- DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSLoadBalancingPlugin.java	(revision 477)
+++ DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSLoadBalancingPlugin.java	(revision 539)
@@ -19,6 +19,6 @@
 import schedframe.scheduling.plugin.grid.ModuleList;
 import schedframe.scheduling.plugin.grid.ResourceDiscovery;
+import schedframe.scheduling.queue.QueueDescription;
 import schedframe.scheduling.queue.TaskQueue;
-import schedframe.scheduling.queue.QueueDescription;
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
@@ -29,5 +29,5 @@
 	private Log log = LogFactory.getLog(GridFCFSLoadBalancingPlugin.class);
 	
-	public SchedulingPlanInterface schedule(SchedulingEvent event,
+	public SchedulingPlanInterface<?> schedule(SchedulingEvent event,
 			TaskQueueList queues, 
 			JobRegistry jobRegistry,
@@ -53,5 +53,5 @@
 		
 		for(int i = 0; i < size; i++) {
-			WorkloadUnit<?> job = q.remove(0);
+			WorkloadUnit job = q.remove(0);
 			TaskInterface<?> task = (TaskInterface<?>)job;
 
@@ -74,16 +74,8 @@
 	}
 
-	public String getName() {
-		return getClass().getName();
-	}
-
-	public void init(Properties properties) {
-		// no extra initialization is expected.
-	}
-	
 	private int findLeastLoadedResourceIdx(List<SchedulerDescription> availableResources){
-		
 		int resourceIdx = -1;
 		long minLoad = Long.MAX_VALUE;
+		
 		for(int i = 0; i < availableResources.size(); i++){
 			SchedulerDescription sd = availableResources.get(i);
Index: DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSRandomPlugin.java
===================================================================
--- DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSRandomPlugin.java	(revision 477)
+++ DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSRandomPlugin.java	(revision 539)
@@ -53,5 +53,5 @@
 		
 		for(int i = 0; i < size; i++) {
-			WorkloadUnit<?> job = q.remove(0);
+			WorkloadUnit job = q.remove(0);
 			TaskInterface<?> task = (TaskInterface<?>)job;
 			
@@ -75,12 +75,3 @@
 	}
 
-
-	public String getName() {
-		return getClass().getName();
-	}
-
-	public void init(Properties properties) {
-		// no extra initialization is expected.
-	}
-
 }
Index: DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSRoundRobinPlugin.java
===================================================================
--- DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSRoundRobinPlugin.java	(revision 477)
+++ DCWoRMS/trunk/build/classes/example/globalplugin/GridFCFSRoundRobinPlugin.java	(revision 539)
@@ -47,5 +47,5 @@
 		
 		for(int i = 0; i < size; i++) {
-			WorkloadUnit<?> job = q.remove(0);
+			WorkloadUnit job = q.remove(0);
 			TaskInterface<?> task = (TaskInterface<?>)job;
 			
@@ -65,5 +65,4 @@
 			allocation.setProcessesCount(1);
 			allocation.setProviderName(sd.getProvider().getProviderId());
-			System.out.println("----" + sd.getProvider().getProviderId());
 			ScheduledTask scheduledTask = new ScheduledTask(task);
 			scheduledTask.setTaskId(task.getId());
@@ -76,8 +75,3 @@
 	}
 
-	public String getName() {
-		return getClass().getName();
-	}
-
-
 }
